<?xml version="1.0" encoding="UTF-8"?>
<drawing version="7">
    <attr value="zynq" name="DeviceFamilyName">
        <trait delete="all:0" />
        <trait editname="all:0" />
        <trait edittrait="all:0" />
    </attr>
    <netlist>
        <signal name="A" />
        <signal name="B" />
        <signal name="XLXN_3" />
        <signal name="CIN" />
        <signal name="XLXN_11" />
        <signal name="XLXN_12" />
        <signal name="COUT" />
        <signal name="SUM" />
        <port polarity="Input" name="A" />
        <port polarity="Input" name="B" />
        <port polarity="Input" name="CIN" />
        <port polarity="Output" name="COUT" />
        <port polarity="Output" name="SUM" />
        <blockdef name="half_adder">
            <timestamp>2019-11-4T10:39:42</timestamp>
            <rect width="256" x="64" y="-128" height="128" />
            <line x2="0" y1="-96" y2="-96" x1="64" />
            <line x2="0" y1="-32" y2="-32" x1="64" />
            <line x2="384" y1="-32" y2="-32" x1="320" />
            <line x2="384" y1="-96" y2="-96" x1="320" />
        </blockdef>
        <blockdef name="or2">
            <timestamp>2000-1-1T10:10:10</timestamp>
            <line x2="64" y1="-64" y2="-64" x1="0" />
            <line x2="64" y1="-128" y2="-128" x1="0" />
            <line x2="192" y1="-96" y2="-96" x1="256" />
            <arc ex="192" ey="-96" sx="112" sy="-48" r="88" cx="116" cy="-136" />
            <arc ex="48" ey="-144" sx="48" sy="-48" r="56" cx="16" cy="-96" />
            <line x2="48" y1="-144" y2="-144" x1="112" />
            <arc ex="112" ey="-144" sx="192" sy="-96" r="88" cx="116" cy="-56" />
            <line x2="48" y1="-48" y2="-48" x1="112" />
        </blockdef>
        <block symbolname="half_adder" name="XLXI_1">
            <blockpin signalname="A" name="A" />
            <blockpin signalname="B" name="B" />
            <blockpin signalname="XLXN_3" name="SUM" />
            <blockpin signalname="XLXN_11" name="CARRY" />
        </block>
        <block symbolname="half_adder" name="XLXI_2">
            <blockpin signalname="XLXN_3" name="A" />
            <blockpin signalname="CIN" name="B" />
            <blockpin signalname="SUM" name="SUM" />
            <blockpin signalname="XLXN_12" name="CARRY" />
        </block>
        <block symbolname="or2" name="XLXI_3">
            <blockpin signalname="XLXN_12" name="I0" />
            <blockpin signalname="XLXN_11" name="I1" />
            <blockpin signalname="COUT" name="O" />
        </block>
    </netlist>
    <sheet sheetnum="1" width="1760" height="1360">
        <instance x="288" y="608" name="XLXI_1" orien="R0">
        </instance>
        <branch name="A">
            <wire x2="288" y1="512" y2="512" x1="176" />
        </branch>
        <branch name="B">
            <wire x2="288" y1="576" y2="576" x1="176" />
        </branch>
        <instance x="752" y="816" name="XLXI_2" orien="R0">
        </instance>
        <branch name="XLXN_3">
            <wire x2="704" y1="576" y2="576" x1="672" />
            <wire x2="704" y1="576" y2="720" x1="704" />
            <wire x2="752" y1="720" y2="720" x1="704" />
        </branch>
        <branch name="CIN">
            <wire x2="736" y1="784" y2="784" x1="208" />
            <wire x2="752" y1="784" y2="784" x1="736" />
        </branch>
        <instance x="1200" y="640" name="XLXI_3" orien="R0" />
        <branch name="XLXN_11">
            <wire x2="1200" y1="512" y2="512" x1="672" />
        </branch>
        <branch name="XLXN_12">
            <wire x2="1168" y1="720" y2="720" x1="1136" />
            <wire x2="1168" y1="576" y2="720" x1="1168" />
            <wire x2="1200" y1="576" y2="576" x1="1168" />
        </branch>
        <branch name="COUT">
            <wire x2="1472" y1="544" y2="544" x1="1456" />
            <wire x2="1520" y1="544" y2="544" x1="1472" />
        </branch>
        <branch name="SUM">
            <wire x2="1152" y1="784" y2="784" x1="1136" />
            <wire x2="1520" y1="784" y2="784" x1="1152" />
        </branch>
        <iomarker fontsize="28" x="176" y="512" name="A" orien="R180" />
        <iomarker fontsize="28" x="176" y="576" name="B" orien="R180" />
        <iomarker fontsize="28" x="208" y="784" name="CIN" orien="R180" />
        <iomarker fontsize="28" x="1520" y="544" name="COUT" orien="R0" />
        <iomarker fontsize="28" x="1520" y="784" name="SUM" orien="R0" />
    </sheet>
</drawing>